SDL_tanf(3)

NAME
SDL_tanf - Compute the tangent of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_tanf(float x);

DESCRIPTION
Domain: -INF<=x<=INF Range: -INF<=y<=INF This function operates on single-precision floating point values, use SDL_tanf
 for double-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value, in radians

RETURN VALUE
Returns tangent of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_tan(3), SDL_sinf(3), SDL_cosf(3), SDL_atanf(3), SDL_atan2f(3)